Bug 1286292 - rgmanager - pacemaker LVM RA disparity in an ability to further limit the scope to specific LV on top of given VG
rgmanager - pacemaker LVM RA disparity in an ability to further limit the sco...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: resource-agents (Show other bugs)
7.2
Unspecified Unspecified
low Severity unspecified
: rc
: ---
Assigned To: Oyvind Albrigtsen
cluster-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 15:19 EST by Jan Pokorný
Modified: 2017-11-13 07:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-21 06:58:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pokorný 2015-11-27 15:19:06 EST
Currently, clufter (the stacks migration tool) cannot serve users that
had lvm resource defined specifically for selected LV pertaining given VG.

It can also be viewed as sort of a regression: something that was possible
in the past (with lvm.sh rgmanager agent) cannot be done anymore (with
LVM heartbeat agent).

(The same can be extrapolated to the whole set of RAs and their disparity,
i.e., some agents may be missed for those who migrate, but combo of that
agent with specified LV seems quite popular).
Comment 2 Jan Pokorný 2015-11-27 15:23:13 EST
This possibly applies to new RHEL 6 minor releases as well.
Comment 4 Jan Pokorný 2015-11-30 10:15:23 EST
From clufter perspective, we may may actually just raise the warning if
there is no more LVs for given VG referred to from another agent instance,
and have more accurate failure message otherwise.
Comment 5 Jan Pokorný 2015-12-01 13:45:48 EST
Re clufter:
I am now of the opinion that failing the conversion whenever lvm/@lv_name
is observed is a sanest way to do as one cannot make any safe conclusions
just by the content of cluster.conf.
Comment 7 Oyvind Albrigtsen 2015-12-23 09:14:58 EST
The rgmanager resource agent only support 1 LV pr VG, so this is not an issue:
Dec 23 15:08:59 rgmanager [lvm] HA LVM requires Only one logical volume per volume group.
Dec 23 15:08:59 rgmanager [lvm] There are currently 2 logical volumes in test_vg
Dec 23 15:08:59 rgmanager [lvm] Failing HA LVM start of test_vg/test_lv
Comment 8 Jan Pokorný 2016-10-20 13:51:01 EDT
Returned to this and have to wonder why description of lv_name states:

> Name of the logical volume being managed.  This    
> parameter is optional if there are more than one   
> logical volumes in the volume group to be managed. 

then?

Any idea why there's such a contradiction or if I am missing something,
Oyvind?

If the description is indeed misleading, we would be better off fixing
it so that I am (and in turn, clufter users) not the only victim.

Note You need to log in before you can comment on or make changes to this bug.